libmtp 1.1.23

Data Fields
LIBMTP_filesampledata_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
uint32_t | width
uint32_t | height
uint32_t | duration
LIBMTP_filetype_t | filetype
uint64_t | size
char * | data

## Detailed Description

LIBMTP Object RepresentativeSampleData Structure

## Field Documentation

## ◆ data

char* LIBMTP_filesampledata_struct::data

Sample data

Referenced by LIBMTP_destroy_filesampledata_t(), LIBMTP_Get_Representative_Sample(), and LIBMTP_Send_Representative_Sample().

## ◆ duration

uint32_t LIBMTP_filesampledata_struct::duration

Duration in milliseconds if it is audio

Referenced by LIBMTP_Get_Representative_Sample(), LIBMTP_Get_Representative_Sample_Format(), and LIBMTP_Send_Representative_Sample().

## ◆ filetype

LIBMTP_filetype_t LIBMTP_filesampledata_struct::filetype

Filetype used for the sample

Referenced by LIBMTP_Get_Representative_Sample(), LIBMTP_Get_Representative_Sample_Format(), and LIBMTP_Send_Representative_Sample().

## ◆ height

uint32_t LIBMTP_filesampledata_struct::height

Height of sample if it is an image

Referenced by LIBMTP_Get_Representative_Sample(), LIBMTP_Get_Representative_Sample_Format(), and LIBMTP_Send_Representative_Sample().

## ◆ size

uint64_t LIBMTP_filesampledata_struct::size

Size of sample data in bytes

Referenced by LIBMTP_Get_Representative_Sample(), LIBMTP_Get_Representative_Sample_Format(), and LIBMTP_Send_Representative_Sample().

## ◆ width

uint32_t LIBMTP_filesampledata_struct::width

Width of sample if it is an image

Referenced by LIBMTP_Get_Representative_Sample(), LIBMTP_Get_Representative_Sample_Format(), and LIBMTP_Send_Representative_Sample().

The documentation for this struct was generated from the following file:

- libmtp.h